| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
Gaudi::PluginService::v1::Exception Class Reference

`#include <Gaudi/PluginServiceV1.h>`

Inheritance diagram for Gaudi::PluginService::v1::Exception:
[legend]
Collaboration diagram for Gaudi::PluginService::v1::Exception:
[legend]

## Public Member Functions
| Exception (std::string msg)
| ~Exception () override throw ()
const char * | what () const override throw ()
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Private Attributes
std::string | m_msg

## Detailed Description

Definition at line 73 of file PluginServiceV1.h.

## Constructor & Destructor Documentation

## ◆ Exception()

Gaudi::PluginService::v1::Exception::Exception | ( | std::string | msg | ) |

Definition at line 111 of file PluginServiceV1.cpp.

111 : m_msg( std::move( msg ) ) {}
std::move
T move(T... args)
Gaudi::PluginService::v1::Exception::m_msg
std::string m_msg
Definition: PluginServiceV1.h:80
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8

## ◆ ~Exception()

Gaudi::PluginService::v1::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |
| override

Definition at line 112 of file PluginServiceV1.cpp.

112 {}

## Member Function Documentation

## ◆ what()

const char * Gaudi::PluginService::v1::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| override

Definition at line 113 of file PluginServiceV1.cpp.

113 { return m_msg.c_str(); }
Gaudi::PluginService::v1::Exception::m_msg
std::string m_msg
Definition: PluginServiceV1.h:80
std::string::c_str
T c_str(T... args)

## Member Data Documentation

## ◆ m_msg

std::string Gaudi::PluginService::v1::Exception::m_msg
| private

Definition at line 80 of file PluginServiceV1.h.

The documentation for this class was generated from the following files:

- GaudiPluginService/Gaudi/PluginServiceV1.h
- GaudiPluginService/src/PluginServiceV1.cpp